Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class CertStatus

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.ocsp.CertStatus

All Implemented Interfaces:
  DEREncodable

public class CertStatus
extends ASN1Encodable

Constructor Summary
`CertStatus()` create a CertStatus object with a tag of zero.
`CertStatus(ASN1TaggedObject choice)`
`CertStatus(int tagNo, DEREncodable value)`
`CertStatus(RevokedInfo info)`

Method Summary
`static CertStatus` | `getInstance(java.lang.Object obj)`
`DEREncodable` | `getStatus()`
`int` | `getTagNo()`
`DERObject` | `toASN1Object()` CertStatus ::= CHOICE { good [0] IMPLICIT NULL, revoked [1] IMPLICIT RevokedInfo, unknown [2] IMPLICIT UnknownInfo }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertStatus

    public CertStatus()

  create a CertStatus object with a tag of zero.

### CertStatus

    public CertStatus(RevokedInfo info)

### CertStatus

    public CertStatus(int tagNo,
                      DEREncodable value)

### CertStatus

    public CertStatus(ASN1TaggedObject choice)

Method Detail

### getInstance

    public static CertStatus getInstance(java.lang.Object obj)

### getTagNo

    public int getTagNo()

### getStatus

    public DEREncodable getStatus()

### toASN1Object

    public DERObject toASN1Object()

        CertStatus ::= CHOICE {
                        good        [0]     IMPLICIT NULL,
                        revoked     [1]     IMPLICIT RevokedInfo,
                        unknown     [2]     IMPLICIT UnknownInfo }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD